| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
crc32.c File Reference
`#include "zutil.h"`
`#include "crc32.h"`

Go to the source code of this file.

## Macros
#define | local static
#define | TBLS 1
#define | DO1 crc = crc_table[0][((int)crc ^ (*buf++)) & 0xff] ^ (crc >> 8)
#define | DO8 DO1; DO1; DO1; DO1; DO1; DO1; DO1; DO1
#define | GF2_DIM 32 /* dimension of GF(2) vectors (length of CRC) */

## Functions
local unsigned long gf2_matrix_times | OF ((unsigned long *mat, unsigned long vec))
local void gf2_matrix_square | OF ((unsigned long *square, unsigned long *mat))
local uLong | crc32_combine_ (uLong crc1, uLong crc2, z_off64_t len2)
const unsigned long FAR *ZEXPORT | get_crc_table ()
unsigned long ZEXPORT | crc32 (unsigned long crc, const unsigned char FAR *buf, uInt len)
local unsigned long | gf2_matrix_times (unsigned long *mat, unsigned long vec)
local void | gf2_matrix_square (unsigned long *square, unsigned long *mat)
uLong ZEXPORT | crc32_combine (uLong crc1, uLong crc2, z_off_t len2)
uLong ZEXPORT | crc32_combine64 (uLong crc1, uLong crc2, z_off64_t len2)

## Macro Definition Documentation

#define DO1 crc = crc_table[0][((int)crc ^ (*buf++)) & 0xff] ^ (crc >> 8)

Definition at line 217 of file crc32.c.

#define DO8 DO1; DO1; DO1; DO1; DO1; DO1; DO1; DO1

Definition at line 218 of file crc32.c.

#define GF2_DIM 32 /* dimension of GF(2) vectors (length of CRC) */

Definition at line 341 of file crc32.c.

#define local static

Definition at line 31 of file crc32.c.

#define TBLS 1

Definition at line 64 of file crc32.c.

## Function Documentation

unsigned long ZEXPORT crc32 | ( | unsigned long | crc,
|  | const unsigned char FAR * | buf,
|  | uInt | len
| ) |  |

Definition at line 221 of file crc32.c.

uLong ZEXPORT crc32_combine | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off_t | len2
| ) |  |

Definition at line 428 of file crc32.c.

uLong ZEXPORT crc32_combine64 | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off64_t | len2
| ) |  |

Definition at line 436 of file crc32.c.

local uLong crc32_combine_ | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off64_t | len2
| ) |  |

Definition at line 372 of file crc32.c.

const unsigned long FAR* ZEXPORT get_crc_table | ( |  | ) |

Definition at line 207 of file crc32.c.

local void gf2_matrix_square | ( | unsigned long * | square,
|  | unsigned long * | mat
| ) |  |

Definition at line 361 of file crc32.c.

local unsigned long gf2_matrix_times | ( | unsigned long * | mat,
|  | unsigned long | vec
| ) |  |

Definition at line 344 of file crc32.c.

local unsigned long gf2_matrix_times OF | ( | (unsigned long *mat, unsigned long vec) |  | ) |

local void gf2_matrix_square OF | ( | (unsigned long *square, unsigned long *mat) |  | ) |